<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class MainController extends Controller
{
    public function proxytest(Request $request) {
        $https = (strpos($request->url(), 'https') !== FALSE);
        $post = $request->isMethod('post');
        $ip = $request->ip();
        $proxyIp = $request->input('ip');
        $transparent = ($ip !== $proxyIp);
        $anonymous = !isset($_SERVER['HTTP_X_FORWARDED_FOR']) &&
            !isset($_SERVER['HTTP_X_FORWARDED']) &&
            !isset($_SERVER['HTTP_FORWARDED_FOR']) &&
            !isset($_SERVER['HTTP_FORWARDED']);

        return response()->json([
            'supportsHTTPS' => $https,
            'supportsPOST' => $post,
            'ip' => $ip,
            'transparent' => $transparent,
            'anonymous' => $anonymous
        ]);
    }
}
